#!/bin/bash
#cd raw
#   Processing fuji images, subtracting dark frames, which should 
#    exist already including their pgm and

F=$1

~/bin/raw2lum -c YCGM -ft -w 7.3 -fc1.03 -o 16380 \
 -L$2 -d dark/$3.pgm -sm200  -nh  \
 -i $F.txt -e $F.eps -n $F.ppm -t168 -c 3412 \
 -s64 pgm/$F.pgm > ${F}L.td

tail ${F}L.td

convert $F.ppm ${F}L.png

convert -negate $F.eps /tmp/n.png  
composite -compose Difference /tmp/n.png $F.jpg ${F}gL.jpg

  sed '2 s/2064 1540/1032 770 \
  0.5 dup scale/'  $F.eps >/tmp/n.eps
convert -negate /tmp/n.eps /tmp/n.png  
  composite -compose Difference /tmp/n.png ${F}L.png ${F}gL.png

rm $F.ppm
